## grabc 1.1

=== Makefile ===
##
# Makefile automatically generated by genmake 1.0, Mar-16-97
# genmake 1.0 by ma_muquit@fccc.edu, RCS
##
CC= cc
DEFS=  
PROGNAME= grabc
LIBS= -L/usr/X11R6/lib -lX11

INCLUDES=  -I.

# replace -O with -g in order to debug

DEFINES= $(INCLUDES) $(DEFS) -D__USE_FIXED_PROTOTYPES__ -DSYS_UNIX=1
CFLAGS= -O $(DEFINES)

SRCS = grabc.c

OBJS = grabc.o

.c.o:
	rm -f $@
	$(CC) $(CFLAGS) -c $*.c

all: $(PROGNAME)

$(PROGNAME) : $(OBJS)
	$(CC) $(CFLAGS) -o $(PROGNAME) $(OBJS) $(LIBS)

clean:
	rm -f $(OBJS) $(PROGNAME) core

## grabc 1.1%2Bgit20210125.b9e4316

=== debian/control ===
Source: grabc
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libx11-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://muquit.com/muquit/software/grabc/grabc.html
Vcs-Git: https://salsa.debian.org/debian/grabc.git
Vcs-Browser: https://salsa.debian.org/debian/grabc

Package: grabc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple program to determine the color string in hex by clicking on a pixel
 grabc is simple but useful program to determine the color string in
 hex or in RGB components by clicking on a pixel on the screen.
 When this program is run, the mouse pointer is grabbed and changed to
 a cross hair and when the mouse is clicked, the color of the clicked
 pixel is written to stdout in hex and the R, G, B components are
 written to stderr.
 .
 This program can be useful when you see a color and want to use the
 color in xterm or your window manager's border but no clue what the
 name of the color is. It's silly to use a image processing software
 to find it out.

## grabc 1.1+git20210125.b9e4316

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,12 @@
 LIBS= -L/usr/X11R6/lib -lX11
 
 INCLUDES=  -I.
+cp=/bin/cp -fv
+DESTDIR = 
+binary=./grabc
+manpage=./grabc.1
+bindir=/usr/local/bin
+mandir=/usr/local/share/man/man1
 
 # replace -O with -g in order to debug
 
@@ -27,5 +33,26 @@
 $(PROGNAME) : $(OBJS)
 	$(CC) $(CFLAGS) -o $(PROGNAME) $(OBJS) $(LIBS)
 
+doc:
+	pod2man grabc.pod > grabc.1
+
+install: installdirs install-bin install-man
+
+install-bin:
+	${cp} ${binary} ${DESTDIR}${bindir}
+
+installdirs:
+	$(SHELL) ./mkinstalldirs ${DESTDIR}${bindir}
+	$(SHELL) ./mkinstalldirs ${DESTDIR}${mandir}
+
+install-man:
+	${cp} ${manpage} ${DESTDIR}${mandir}
+
+deb:
+	/bin/rm -f *.deb
+	/bin/rm -rf /tmp/grabc
+	make DESTDIR=/tmp/grabc install
+	fpm -s dir -t deb -C /tmp/grabc --name grabc --version 1.0.2 --iteration 1 --description "A program to id entify a pixel color on an X Window"
+	/bin/rm -rf /tmp/grabc
 clean:
-	rm -f $(OBJS) $(PROGNAME) core
+	rm -f $(OBJS) $(PROGNAME) core *.deb

=== debian/changelog ===
grabc (1.1+git20210125.b9e4316-5) experimental; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- caiofodra <caiofodra@alunos.utfpr.edu.br>  Mon, 30 Jun 2025 18:35:15 -0300

grabc (1.1+git20210125.b9e4316-3) UNRELEASED; urgency=medium

  * d/control: Bump Standards-Version to 4.7.2.

 -- Daniel Pimentel <d4n1@d4n1.org>  Mon, 17 Mar 2025 14:41:11 -0300

grabc (1.1+git20210125.b9e4316-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 21:27:02 +0000

grabc (1.1+git20210125.b9e4316-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.1+git20210125.b9e4316.
  * debian/source/format: Convert to "3.0 (quilt)".
  * debian/compat: Dropped.
  * debian/control:
    + Apply "wrap-and-sort -abst".
    + Orphan the package.
    + Bump debhelper compat to v13. (Closes: #999160)
    + Bump Standards-Version to 4.6.0.
    + Fix Vcs-* fields.
    + Use "Rules-Requires-Root: no".
  * debian/rules: Convert packaging system to dh sequencer.
  * debian/watch: Monitor github release.
  * debian/copyright: Update copyright information.
  * debian/patches: Convert to autotools buildsystem.
  * debian/menu: Dropped, this app is terminal-only.

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Apr 2022 11:06:43 -0400

grabc (1.1-2) unstable; urgency=low

  * convert debian/rules to debhelper 7
  * Debian Policy 3.8.1
  * use Homepage field in debian/rules
  * add watch file
  * adopt package (Closes: #526126)
  * remove x-dev build dependency (Closes: #515368)
  * change short and long descriptions
  * remove debian/post{inst,rm}, debhelper handles running update-menus
  * update menu file's section from Apps to Applications
  * remove the need for debian/dirs and for direct changes to the
    Makefile by installing the binary with debhelper

 -- Ryan Niebur <ryanryan52@gmail.com>  Wed, 29 Apr 2009 14:44:08 -0700

grabc (1.1-1.1) unstable; urgency=low

  * NMU.
  * Fixed "FTBFS: build-depends on removed xlibs-dev", closes: #346616.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 17 Jan 2006 22:08:16 +1100

grabc (1.1-1) unstable; urgency=low

  * Initial Release. (Closes: #304450)

 -- Sonia Hamilton <sonia@snowfrog.net>  Fri, 29 Apr 2005 13:35:49 +1000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libx11-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://muquit.com/muquit/software/grabc/grabc.html
 Vcs-Git: https://salsa.debian.org/debian/grabc.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

=== debian/tests/control ===
Test-Command: grabc -h | grep '^Usage'
Restrictions: superficial

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.1+git%cd.%h" \
 https://github.com/muquit/grabc \
 HEAD
